<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxFibonacciHeap (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxFibonacciHeap (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxFibonacciHeap.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.analysis</a></div>
<h2 title="Class mxFibonacciHeap" class="title">Class mxFibonacciHeap</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>import hk.quantr.mxgraph.analysis.mxFibonacciHeap</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxFibonacciHeap</span>
extends java.lang.Object</pre>
<div class="block">This class implements a priority queue.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a></span></code></th>
<td class="colLast">
<div class="block">Implements a node of the Fibonacci heap.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#min">min</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.Map&lt;java.lang.Object,&#8203;<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nodes">nodes</a></span></code></th>
<td class="colLast">
<div class="block">Maps from elements to nodes</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#size">size</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxFibonacciHeap</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cascadingCut(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node)">cascadingCut</a></span>&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Performs a cascading cut operation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#consolidate()">consolidate</a></span>()</code></th>
<td class="colLast">
<div class="block">Consolidates the trees in the heap by joining trees of equal degree until
 there are no more trees of equal degree in the root list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cut(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node,import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node)">cut</a></span>&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;x,
   <a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;y)</code></th>
<td class="colLast">
<div class="block">The reverse of the link operation: removes x from the child list of y.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#decreaseKey(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node,double)">decreaseKey</a></span>&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;x,
           double&nbsp;k)</code></th>
<td class="colLast">
<div class="block">Decreases the key value for a heap node, given the new value to take on.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#delete(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node)">delete</a></span>&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Deletes a node from the heap given the reference to the node.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNode(java.lang.Object,boolean)">getNode</a></span>&#8203;(java.lang.Object&nbsp;element,
       boolean&nbsp;create)</code></th>
<td class="colLast">
<div class="block">Returns the node that represents element.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insert(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node,double)">insert</a></span>&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;node,
      double&nbsp;key)</code></th>
<td class="colLast">
<div class="block">Inserts a new data element into the heap.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isEmpty()">isEmpty</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if the queue is empty.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#link(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node,import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node)">link</a></span>&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;y,
    <a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Make node y a child of node x.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#min()">min</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the smallest element in the heap.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeMin()">removeMin</a></span>()</code></th>
<td class="colLast">
<div class="block">Removes the smallest element from the heap.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#size()">size</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the size of the heap which is measured in the number of elements
 contained in the heap.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static <a href="mxFibonacciHeap.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#union(import hk.quantr.mxgraph.analysis.mxFibonacciHeap,import hk.quantr.mxgraph.analysis.mxFibonacciHeap)">union</a></span>&#8203;(<a href="mxFibonacciHeap.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap</a>&nbsp;h1,
     <a href="mxFibonacciHeap.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap</a>&nbsp;h2)</code></th>
<td class="colLast">
<div class="block">Joins two Fibonacci heaps into a new one.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="nodes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nodes</h4>
<pre>protected&nbsp;java.util.Map&lt;java.lang.Object,&#8203;<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&gt; nodes</pre>
<div class="block">Maps from elements to nodes</div>
</li>
</ul>
<a id="min">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>min</h4>
<pre>protected&nbsp;<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a> min</pre>
</li>
</ul>
<a id="size">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>size</h4>
<pre>protected&nbsp;int size</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxFibonacciHeap</h4>
<pre>public&nbsp;mxFibonacciHeap()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getNode(java.lang.Object,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNode</h4>
<pre class="methodSignature">public&nbsp;<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;getNode&#8203;(java.lang.Object&nbsp;element,
                                    boolean&nbsp;create)</pre>
<div class="block">Returns the node that represents element.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - the element whose node to find</dd>
<dd><code>create</code> - whether to create</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the node representing the specified element</dd>
</dl>
</li>
</ul>
<a id="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isEmpty()</pre>
<div class="block">Returns true if the queue is empty.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the queue is empty</dd>
</dl>
</li>
</ul>
<a id="decreaseKey(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>decreaseKey</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;decreaseKey&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;x,
                        double&nbsp;k)</pre>
<div class="block">Decreases the key value for a heap node, given the new value to take on.
 The structure of the heap may be changed and will not be consolidated.
 
 <p>
 Running time: O(1) amortized
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - Node whose value should be decreased.</dd>
<dd><code>k</code> - New key value for node x.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - Thrown if k is larger than x.key value.</dd>
</dl>
</li>
</ul>
<a id="delete(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;delete&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;x)</pre>
<div class="block">Deletes a node from the heap given the reference to the node. The trees
 in the heap will be consolidated, if necessary. This operation may fail
 to remove the correct element if there are nodes with key value
 -Infinity.
 
 <p>
 Running time: O(log n) amortized
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - The node to remove from the heap.</dd>
</dl>
</li>
</ul>
<a id="insert(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insert</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;insert&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;node,
                   double&nbsp;key)</pre>
<div class="block">Inserts a new data element into the heap. No heap consolidation is
 performed at this time, the new node is simply inserted into the root
 list of this heap.
 
 <p>
 Running time: O(1) actual
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - new node to insert into heap</dd>
<dd><code>key</code> - key value associated with data object</dd>
</dl>
</li>
</ul>
<a id="min()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>min</h4>
<pre class="methodSignature">public&nbsp;<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;min()</pre>
<div class="block">Returns the smallest element in the heap. This smallest element is the
 one with the minimum key value.
 
 <p>
 Running time: O(1) actual
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the heap node with the smallest key.</dd>
</dl>
</li>
</ul>
<a id="removeMin()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeMin</h4>
<pre class="methodSignature">public&nbsp;<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;removeMin()</pre>
<div class="block">Removes the smallest element from the heap. This will cause the trees in
 the heap to be consolidated, if necessary.
 Does not remove the data node so that the current key remains stored.
 
 <p>
 Running time: O(log n) amortized
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the node with the smallest key.</dd>
</dl>
</li>
</ul>
<a id="size()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;size()</pre>
<div class="block">Returns the size of the heap which is measured in the number of elements
 contained in the heap.
 
 <p>
 Running time: O(1) actual
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the number of elements in the heap.</dd>
</dl>
</li>
</ul>
<a id="union(import hk.quantr.mxgraph.analysis.mxFibonacciHeap,import hk.quantr.mxgraph.analysis.mxFibonacciHeap)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>union</h4>
<pre class="methodSignature">public static&nbsp;<a href="mxFibonacciHeap.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap</a>&nbsp;union&#8203;(<a href="mxFibonacciHeap.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap</a>&nbsp;h1,
                                    <a href="mxFibonacciHeap.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap</a>&nbsp;h2)</pre>
<div class="block">Joins two Fibonacci heaps into a new one. No heap consolidation is
 performed at this time. The two root lists are simply joined together.
 
 <p>
 Running time: O(1) actual
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>h1</code> - The first heap.</dd>
<dd><code>h2</code> - The second heap.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a new heap containing h1 and h2.</dd>
</dl>
</li>
</ul>
<a id="cascadingCut(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cascadingCut</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;cascadingCut&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;y)</pre>
<div class="block">Performs a cascading cut operation. This cuts y from its parent and then
 does the same for its parent, and so on up the tree.
 
 <p>
 Running time: O(log n); O(1) excluding the recursion
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>y</code> - The node to perform cascading cut on.</dd>
</dl>
</li>
</ul>
<a id="consolidate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>consolidate</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;consolidate()</pre>
<div class="block">Consolidates the trees in the heap by joining trees of equal degree until
 there are no more trees of equal degree in the root list.
 
 <p>
 Running time: O(log n) amortized
 </p></div>
</li>
</ul>
<a id="cut(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node,import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cut</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;cut&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;x,
                   <a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;y)</pre>
<div class="block">The reverse of the link operation: removes x from the child list of y.
 This method assumes that min is non-null.
 
 <p>
 Running time: O(1)
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - The child of y to be removed from y's child list.</dd>
<dd><code>y</code> - The parent of x about to lose a child.</dd>
</dl>
</li>
</ul>
<a id="link(import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node,import hk.quantr.mxgraph.analysis.mxFibonacciHeap.Node)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>link</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;link&#8203;(<a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;y,
                    <a href="mxFibonacciHeap.Node.html" title="class in import hk.quantr.mxgraph.analysis">mxFibonacciHeap.Node</a>&nbsp;x)</pre>
<div class="block">Make node y a child of node x.
 
 <p>
 Running time: O(1) actual
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>y</code> - The node to become child.</dd>
<dd><code>x</code> - The node to become parent.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxFibonacciHeap.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
